<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!--c:forEach等のリファレンス処理をかけ雨量にするために書くこと-->

<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title></title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link href="../css/s.css" rel="stylesheet" type="text/css" />
</head>

<body>

    <header class="azuki">
        <ul class="nav justify-content-end navbarp">
            <li class="nav-item mr-auto">
                <!--トップッページに戻る-->
                <a class="nav-link active lawhite" href="#">サイト名</a>
            </li>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">マイページ</a>
                    </div>
                </li>
            </c:if>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">ユーザー情報</a>
                    </div>
                </li>
            </c:if>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">料理を投稿する</a>
                    </div>
                </li>
            </c:if>
            <li class="nav-item">
                <div class="headerLinks m-2 mr-2 ">
                    <a href="" class="lawhite">カテゴリ一覧 </a>
                </div>
            </li>
            <li class="nav-item">
                <form class="form-inline" action="" method="">
                    <div class="input-group">
                        <input type="text" class="form-control" size="50" placeholder="料理名、カテゴリなどを入力">
                                                <button type="submit" class="btn btn-outline-light mx-1">検索</button>
                    </div>
                </form>
            </li>
            <li class="nav-item">
                <a class="nav-link active lawhite" href="#">ユーザー名</a>
            </li>
            <li class="nav-item">
                <a class="btn btn-outline-light" href="LogoutServlet">ログアウト</a>
            </li>
        </ul>
    </header>
    <div class="light">
        <p>○○>○○>○○>○○>○○</p>
    </div>
    <div class="wrapper">
        <div class="container-fluid" align="center">
            <div class="container-large">
                <h1 class="userdetail">ユーザー情報更新</h1>

                <div class="white">
                    <div class="row">
                        <!--↓ c:ifは判定して条件に当てはまったら、c:ifで囲んだ文字列や変数を出力するためのタグである。なので値を渡したり、ほかの処理をこのタグではさせることはできない。-->
                        <c:if test="${errMsg != null}">
                            <!-- ←エラーメッセージの場所を用意　もしerrMsg内がから出なかったらそれを表示させる処理。 -->
                            <div class="alert alert-danger" role="alert">
                                ${errMsg}
                                <!--←この中にサーブレットでsetAttributeでセットされた内容が表示される。勘違いしてはいけないのがこのerrMsgはあくまで1変数と何ら変わらない。サーブレットのsetattributeで、キー名と実際に入るデータでセットするが、ここのデータは、文字列もセットすることができる。	で、このerrMsgにはその文字列がsetattributeで入っている。なので↑のifで値が入っていると判定され、errMsgの中身が表示されるという仕組みなのである。  -->
                            </div>
                        </c:if>
                    </div>

                    <form action="UserUpdateServlet" method="post" class="form-horizontal">
                        <!-- ↓前の画面からhrefの？で変数をもってきたのはgetメソッドである。その変数を使える範囲はgetメソッドまでである。
            		postでも使えるようにするには、前のファイルのformタグのmethod="get"でデータもらって発動したdogetメソッドで表示された現在のJSP画面ファイルの中で必ずinputタグのhiddenタイプでvalue属性の中にその変数を$｛｝で書くこと。
            		で、dogetメソッド内でsetAttributeでidをセットしJSP内に前のデータを入れて置き、formタグのpostでdopostメソッドにデータを渡して使えるようになる。-->
                        <input required type="hidden" value="${id}" name="id">

                        <div class="form-group row">
                            <label for="loginid" class="col-sm-4 col-form-label" align="right">ログインID</label>
                            <div class="col-sm-8" id="loginid">
                                <div class="m-1" align="left">${user.loginId}</div>
                            </div> <!-- ↑サーブレットファイルのdogetメソッド内でsetAttriute("キー名",実際にセットするサーブレットの変数)でここに変数やインスタンスをセットできる。インスタンスをセットすると、そのインスタンス内の変数もインスタンス名.変数名で使用でき、サーブレットのsetAttributeで一々変数をセットしなくて済むことがあるので、インスタンスにデータを入れたときは、可能な限りインスタンスでsetAttributeでセットすること。-->
                        </div>

                        <div class="form-group row">
                            <label for="password" class="col-sm-4 col-form-label"  align="right">パスワード</label>
                            <div class="col-sm-8" id="password" align>
                                <input required class="col " type="password" name="password" pattern="^([a-zA-Z0-9]{6,})$" title="半角英数字6文字以上入力してください">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="kakunin" class="col-sm-4 col-form-label" align="right">パスワード(確認)</label>
                            <div class="col-sm-8" id="kakunin" align="left">
                                <input required class="col " type="password" name="passwordkakunin" pattern="^([a-zA-Z0-9]{6,})$" title="半角英数字6文字以上入力してください">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="name" class="col-sm-4 col-form-label" align="right">ニックネーム</label>
                            <div class="col-lg-8" id="name" ailgn="right">
                                <input maxlength="11" required class="col" value="${usernicname}" type="text" name="name" placeholder="佐藤">
                            </div> <!-- ↑inputタグ内のvalue属性で、$｛｝で変数を入れるとその変数に入った文字列やデータが、記入欄の初期表示として表示される。なので、生年月日や　名前等、登録されている情報を更新する際に使用されるので覚えて置くこと、 -->
                        </div>

                        <div class="form-group row">
                            <label for="birth" class="col-sm-4 col-form-label" align="right">メールアドレス</label>
                            <div class="col-sm-8" id="birth" align="left">
                                <input placeholder="${usermail}" required class="col" value="${user.mailadress}" type="text" name="birthdate" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$" title="半角英数字で@以降も全て入力してください。">
                            </div>
                        </div>
                        <div class="submitbutton">
                            <button type="submit" value="更新" class="btn btn-primary">更新する</button>
                        </div>
                    </form>

                    <div align="left">
                        <form action="UserListServlet" method="get">
                            <div class="sm-4 buttons">
                                <button type="submit" value="戻る" class="btn btn-outline-secondary" >戻る</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <footer>
            <p class="m-1">(c)copy right</p>
        </footer>
    </div>
</body>

</html>
